# Type alias SelectedTextCoordinates

SelectedTextCoordinates: { outerRect: number[]; pageIndex: number; quadPoints: { x: number; y: number }[][] }

Coordinates of the selected text.

#### Type declaration

- ##### outerRect: number[]

  The outer rectangle bounding the selected text, represented as an array of numbers.

- ##### pageIndex: number

  The index of the target page.

- ##### quadPoints: { x: number; y: number }[][]

  The coordinates of the selected regions, represented as an array of arrays of points. Each point is an object with `x` and `y` properties.